The 0.8.7d + cacti-plugin-0.8.7d-PA-v2.4 problem

Support for the Plugin Architecture

Moderators: Moderators, Developers

Post Reply
Author
Message
zoe
Posts: 5
Joined: Thu Sep 25, 2008 8:49 pm

The 0.8.7d + cacti-plugin-0.8.7d-PA-v2.4 problem

#1 Post by zoe » Sun Jan 03, 2010 7:36 am

Sorry,I have read in English than in written.

I found a lot of information there are still problems.

My system is Ubuntu 9.10
Cacti version 0.8.7d.
plugin-0.8.7d-PA-v2.4


when i do

[email protected]:/usr/share/cacti/site# patch -p1 -N --dry-run< cacti-plugin-0.8.7d-PA-v2.4.diff

patching file auth_changepassword.php
patching file auth_login.php
patching file data_sources.php
patching file graph_image.php
patching file graph.php
patching file graphs_new.php
patching file graphs.php
patching file host.php
patching file include/auth.php
patching file include/bottom_footer.php
patching file include/global_arrays.php
patching file include/global_constants.php
patching file include/global_form.php
patching file include/global.php
Hunk #3 FAILED at 194.
1 out of 4 hunks FAILED -- saving rejects to file include/global.php.rej
patching file include/global_settings.php
Hunk #1 succeeded at 1186 (offset 1 line).
patching file include/plugins.php
patching file include/top_graph_header.php
patching file include/top_header.php
patching file index.php
patching file lib/api_device.php
patching file lib/auth.php
patching file lib/functions.php
patching file lib/html_form.php
patching file lib/html.php
patching file lib/plugins.php
patching file lib/poller.php
patching file lib/rrd.php
patching file lib/variables.php
patching file plugins/index.php
patching file plugins.php
patching file poller.php
patching file user_admin.php
patching file utilities.php



I do't know what to do can be well

User avatar
Howie
Cacti Guru User
Posts: 5333
Joined: Thu Sep 16, 2004 5:53 am
Location: United Kingdom
Contact:

#2 Post by Howie » Sun Jan 03, 2010 8:34 am

If you installed Cacti from Ubuntu packages, then probably the package creators made some changes to global.php so the patch for that file doesn't work.

This might help: http://felimwhiteley.wordpress.com/2008 ... ntu-gutsy/
Weathermap 0.98 is out! & QuickTree 1.0. Superlinks is over there now (and built-in to Cacti 1.x).
Some Other Cacti tweaks, including strip-graphs, icons and snmp/netflow stuff.
(Let me know if you have UK DevOps or Network Ops opportunities, too!)

zoe
Posts: 5
Joined: Thu Sep 25, 2008 8:49 pm

#3 Post by zoe » Sun Jan 03, 2010 11:20 pm

Thancks, I will to try it.

zoe
Posts: 5
Joined: Thu Sep 25, 2008 8:49 pm

#4 Post by zoe » Mon Jan 04, 2010 7:26 am

OH~YA

I did it.
I reference imformation and change the path file.

Thancks. :D

Post Reply